package org.texttechnologylab.project.gruppe_05_1.database.domainimp.speeches;

import org.bson.Document;
import org.texttechnologylab.project.gruppe_05_1.xml.speeches.Impls.MemberOfParliament_File_Impl;
import org.texttechnologylab.project.gruppe_05_1.xml.speeches.Interfaces.MemberOfParliament;


public class MemberOfParliament_MongoDB_Impl extends MemberOfParliament_File_Impl implements MemberOfParliament {
    public MemberOfParliament_MongoDB_Impl(Document mongoDocument) {super(
                mongoDocument.getString("name"),
                mongoDocument.getString("firstName"),
                mongoDocument.getString("title"),
                mongoDocument.getString("dateOfBirth"),
                mongoDocument.getString("dateOfDeath"),
                mongoDocument.getString("placeOfBirth"),
                mongoDocument.getString("gender"),
                mongoDocument.getString("religion"),
                mongoDocument.getInteger("id"),
                mongoDocument.getString("party"),
                null,
                mongoDocument.getInteger("firstLegislativePeriod"),
                mongoDocument.getInteger("lastLegislativePeriod"),
                mongoDocument.getString("image_data"));
    }
}
